Ask Your Question
0

Why updater does not advise newest LibreOffice Still?

asked 2015-03-02 12:50:14 +0200

Beizerno gravatar image

updated 2015-03-06 15:05:39 +0200

I have LibreOffice 4.2.8 and I prefer to use the LibreOffice Still.

However I realize the newest version of LibreOffice Still is now the version 4.3.6. The 4.2 branch is supposed to have reach the end of life. Why am I not advise of the new version by the updater?

Is it a bug? Is it a conscious decision from the Document Foundation?

(- A conservative user who doesn't want however to run an obsolete software)

edit retag flag offensive close merge delete

3 Answers

Sort by » oldest newest most voted
1

answered 2015-03-04 01:23:04 +0200

oweng gravatar image

The updater will only offer the most recent bug fix version within the current series. That is what update means in computer software. To obtain a version in a more recent series (i.e., going from vX.y to vX+1.y) is considered an upgrade. The updater does not cater for this. It is necessary to manually perform this type of change.

edit flag offensive delete link more

Comments

Fine. I understand the point. But it's not obvious for the common user: it's not the way most software updaters work.

Beizerno gravatar imageBeizerno ( 2015-03-05 21:22:55 +0200 )edit
0

answered 2015-03-02 13:11:48 +0200

Lupp gravatar image

updated 2015-03-02 14:11:40 +0200

From my personal view:

The 4.4.x series is "still rather fresh". There were new features an reworked code introduced, and the bug fixing has not yet (4.4.1) sufficiently advanced.

You may, however, comb through the 4.4 release notes for features you urgently are longing for, and which might be a reason to go some risk living with an unfixed bug.

With regard to 4.2.8 I never understood for what reason it was offered as the standard "still" version for a long time. It contained a bug which, though not of great importance for every user, was reason enough to introduce an extra release (3.3.4) to get rid of it. I also would recommend to treat 4.3.6 as the best available STILL version.

Editing with respect to the comment by @Beizerno -

Again from my personal point of view: Don't take it too serious. If you are not interested in details and in giving feedback simply shift to a new "branch of the second digit" when it comes near the end of its "lifecycle". If you are missing features, however, visit the release notes for the series of releases to come and decide then whether or not its features are worth taking a risk as I told above. Even if you don't like to go into details yourself, you will - as any human - at least have to decide of your own whom to ask for advice. Follow the TDF, follow me, follow someone else, overcome your dislike to worry about details ... It's your turn. Who should decide when time has come to shift to the next version of your car or to another whisky brand?

edit flag offensive delete link more

Comments

Thank you for the detailed answer.

But more generally, I'm still aware for the future: how can I trust the updater to give the version I need? Without having to spend time on forums to learn about it...

Beizerno gravatar imageBeizerno ( 2015-03-02 13:38:27 +0200 )edit

I too agree it would be a handy feature to have that the notification informs of either an update or an upgrade (easy for me the non programmer to say). In the mean time, at https://wiki.documentfoundation.org/R... a detailed plan for all future versions is available (under the Publishing Date). One could add it to a personal calendar as a reminder.

Rugslug gravatar imageRugslug ( 2015-03-06 22:13:53 +0200 )edit
0

answered 2015-03-04 01:32:52 +0200

LibreGuy gravatar image

I agree, would be better if there would be a notification if ANY new version is available. That is the exact purpose of updating ... being up to date. When one is using a version 4.2.8 while there is a version 4.3.6 available in my opinion one should receive a notification of "newer software being available". One could then visit your website and decide what to do. Although technically there might be a subtle change between an update and upgrade, one should keep in mind its purpose. I think most users just want to be up to date, not caring whether the new version is in the same branch or whether it is technically an update or upgrade.

Having said that ... another question that pops to mind is ... HOW are we supposed to update or upgrade? Can you install a newer version "over" an older version? Or do you first need to deinstall the older version? (and if so, will all my custom settings be saved?)

edit flag offensive delete link more

Comments

Your question would be a good question to ask as a stand alone question so it comes up in searches. By default the newer version prompts to install in the current version's folder and will keep your settings, templates etc. You can install to a different folder to have the different versions side by side. I think someone has answered a similar question about this.

Rugslug gravatar imageRugslug ( 2015-03-06 22:17:34 +0200 )edit
Login/Signup to Answer

Question Tools

1 follower

Stats

Asked: 2015-03-02 12:50:14 +0200

Seen: 165 times

Last updated: Mar 06 '15